/////////////////////////////
// Main game

var CONTENT_ID = "Login";


var game = new Phaser.Game(
	GAME_SCREEN_SIZE.x, GAME_SCREEN_SIZE.y,
	Phaser.CANVAS, CONTENT_ID
);

WebFontConfig = {
	//  'active' means all requested fonts have finished loading
	//  We set a 1 second delay before calling 'createText'.
	//  For some reason if we don't the browser cannot render the text the first time it's created.
	active: function() { game.time.events.add(Phaser.Timer.SECOND * 0.1, fontLoaded, this); },

	//  The Google Fonts we want to load (specify as many as you like in the array)
	google: {
		families: [
			'Nanum Gothic:400, 700, 800',
			'Nanum Gothic Coding:400,700',
			// 'Nanum Brush Script',
			// 'Nanum Pen Script'
		]
		// families: ['Nanum Brush Script']
	}
};

var login = new Login();
game.state.add('Login', Login);
game.state.start('Login');

function fontLoaded() {
	login.fontLoaded();
}